#ifndef DEF_SERIAL_H
#define DEF_SERIAL_H

#include <deftypes.h>

#define BAUD_ERROR_LIMIT_HI 1020 // + 2%
#define BAUD_ERROR_LIMIT_LO  980 // - 2%

void    USART_SendByte(char_t data);
void    USART_vInit(uint8_t usartnr, uint16_t baudrate);

char_t  USART_vReceiveByte(void);
void    USART_SendString(char_t* data);


/* -------------------------------------------------------------------------- */

#endif  // DEF_SERIAL_H

