/***********************************************************************************
Projekt:	Wetterstation

Autoren:	Benjamin Drner 	MM5 165941
	     	Jrgen Hasselbach	MM5 165944

Datum:		28.01.08

***********************************************************************************/

#include "timer.h"


//Timer 0 initialisation in normal mode

void InitTimer0(void)
{

  TCCR0A |=(0<<WGM01) | (0<<WGM00);
  TCCR0B |= (1<<CS01); 				// Vorteiler 8 aus Tabelle
  TIMSK0 |= (1<<TOIE0);
}


// Interrupt routine for timer0

ISR(TIMER0_OVF_vect)
{
	--prescaler10ms; 							// Decrease prescaler10ms
	if(prescaler10ms == 0)
	{
		b_tick10ms = true; 						//set Flag 10ms tick
		prescaler10ms = PRESCALER_TICK_10MS; 	//load constant
	}
}
