#ifndef DEF_USER_INTERFACE_H
#define DEF_USER_INTERFACE_H

typedef enum 
{
	CR,
	CRLF,
	SPC,
  VOID,

	OxCR,
	OxCRLF,
	OxSPC,
  OxVOID,
} ws_type_t;


typedef enum 
{
  L_ALIGN,
	R_ALIGN,
	C_ALIGN,
  V_ALIGN,
} align_t;

void print_int(uint8_t pi_format, uint32_t pi_number, ws_type_t ws_type, uint8_t fieldwidth, align_t align);
void print_str(char_t* ps_string);


/* -------------------------------------------------------------------------- */

#endif  // DEF_USER_INTERFACE_H

